default_clean_options = {
    "\ufeff": "",
    "\\u200": " ",
    "０": "0",
    "１": "1",
    "２": "2",
    "３": "3",
    "４": "4",
    "５": "5",
    "６": "6",
    "７": "7",
    "８": "8",
    "９": "9",
    "á": "a",
    "à": "a",
    "â": "a",
    "ä": "a",
    "ã": "a",
    "ă": "a",
    "ạ": "a",
    "ả": "a",
    "ấ": "a",
    "ầ": "a",
    "ẩ": "a",
    "ẫ": "a",
    "ậ": "a",
    "ắ": "a",
    "ằ": "a",
    "ẳ": "a",
    "ẵ": "a",
    "ặ": "a",
    "ą": "a",
    "é": "e",
    "è": "e",
    "ê": "e",
    "ë": "e",
    "ẽ": "e",
    "ẹ": "e",
    "ẻ": "e",
    "ế": "e",
    "ề": "e",
    "ể": "e",
    "ễ": "e",
    "ệ": "e",
    "ę": "e",
    "í": "i",
    "ì": "i",
    "î": "i",
    "ï": "i",
    "ĩ": "i",
    "ỉ": "i",
    "ị": "i",
    "ı": "i",
    "і": "i",
    "ї": "i",
    "ó": "o",
    "ò": "o",
    "ô": "o",
    "ö": "o",
    "õ": "o",
    "ơ": "o",
    "ọ": "o",
    "ỏ": "o",
    "ố": "o",
    "ồ": "o",
    "ổ": "o",
    "ỗ": "o",
    "ộ": "o",
    "ớ": "o",
    "ờ": "o",
    "ở": "o",
    "ỡ": "o",
    "ợ": "o",
    "ú": "u",
    "ù": "u",
    "û": "u",
    "ü": "u",
    "ũ": "u",
    "ư": "u",
    "ụ": "u",
    "ủ": "u",
    "ứ": "u",
    "ừ": "u",
    "ử": "u",
    "ữ": "u",
    "ự": "u",
    "œ": "oe",
    "æ": "ae",
    "ć": "c",
    "ç": "c",
    "đ": "d",
    "ğ": "g",
    "ñ": "n",
    "ń": "n",
    "ґ": "r",
    "ş": "s",
    "ś": "s",
    "ș": "s",
    "ß": "ss",
    "ț": "t",
    "ỳ": "y",
    "ỵ": "y",
    "ỷ": "y",
    "ỹ": "y",
    "ź": "z",
    "ż": "z",
    "ł": "w",
    "Á": "A",
    "À": "A",
    "Â": "A",
    "Ä": "A",
    "Ã": "A",
    "Ă": "A",
    "Ạ": "A",
    "Ả": "A",
    "Ấ": "A",
    "Ầ": "A",
    "Ẩ": "A",
    "Ẫ": "A",
    "Ậ": "A",
    "Ắ": "A",
    "Ằ": "A",
    "Ẳ": "A",
    "Ẵ": "A",
    "Ặ": "A",
    "Ą": "A",
    "É": "E",
    "È": "E",
    "Ê": "E",
    "Ë": "E",
    "Ẽ": "E",
    "Ẹ": "E",
    "Ẻ": "E",
    "Ế": "E",
    "Ề": "E",
    "Ể": "E",
    "Ễ": "E",
    "Ệ": "E",
    "Ę": "E",
    "Í": "I",
    "Ì": "I",
    "Î": "I",
    "Ï": "I",
    "Ĩ": "I",
    "Ỉ": "I",
    "Ị": "I",
    "Ї": "I",
    "Ó": "O",
    "Ò": "O",
    "Ô": "O",
    "Ö": "O",
    "Õ": "O",
    "Ơ": "O",
    "Ọ": "O",
    "Ỏ": "O",
    "Ố": "O",
    "Ồ": "O",
    "Ổ": "O",
    "Ỗ": "O",
    "Ộ": "O",
    "Ớ": "O",
    "Ờ": "O",
    "Ở": "O",
    "Ỡ": "O",
    "Ợ": "O",
    "Ú": "U",
    "Ù": "U",
    "Û": "U",
    "Ü": "U",
    "Ũ": "U",
    "Ư": "U",
    "Ụ": "U",
    "Ủ": "U",
    "Ứ": "U",
    "Ừ": "U",
    "Ử": "U",
    "Ữ": "U",
    "Ự": "U",
    "Œ": "OE",
    "Æ ": "AE",
    "Ć": "C",
    "Ç": "C",
    "Đ": "D",
    "Ğ": "G",
    "Ñ": "N",
    "Ń": "N",
    "Ґ": "R",
    "Ş": "S",
    "Ś": "S",
    "Ș": "S",
    "SS": "SS",
    "Ț": "T",
    "Ỳ": "Y",
    "Ỵ": "Y",
    "Ỷ": "Y",
    "Ỹ": "Y",
    "Ź": "Z",
    "Ż": "Z",
    "Ł": "W",
    "”": '"',
    "—": "-",
    "–": "-",
    "•": "",
    "’": "'",
    "‘": "'",
    "“": '"',
    "ﬁ": "fi",
    "ﬂ": "fl",
    "↵": "\n",
    "✏": "",
    "\xa0": " ",
    "°": " degrees",
    "×": "x",
    "…": "...",
    "©": "(c)",
    "™": "(TM)",
    "®": "(R)",
    "½": "1/2",
    "¾": "3/4",
    "¼": "1/4",
    "→": "-",
    "←": "-",
    "≤": "<=",
    "≥": ">=",
}
default_clean_keys = list(default_clean_options.keys())
acceptable_chars = ["—", "‘", "”", "“", "£"]
